SDL_SetTextureScaleMode(3)

NAME
SDL_SetTextureScaleMode - Set the scale mode used for texture scale operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTextureScaleMode(SDL_Texture *texture, SDL_ScaleMode scaleMode);

DESCRIPTION
The default texture scale mode is SDL_SCALEMODE_LINEAR . If the scale mode is not supported, the closest supported mode is chosen.

FUNCTION PARAMETERS

texture
    The texture to update.

scaleMode
    the SDL_ScaleMode
     to use for texture scaling.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureScaleMode(3)